/*********************************************************************
 *  SPDX-License-Identifier: MIT									 *
 *  Copyright (C) 2019-2020 by Helge Kortendieck  alan@kasmithee.de  *
 *                                                                   *
 *  This file is part of qublc.                                      *
 *********************************************************************/

#ifndef _STRUCTS_H_
#define _STRUCTS_H_

#include <QList>
#include <QString>

struct StrDomain {		// domain struct, all fields for 1 entry
	int index;			// index, row number
	QString dltop;		// top level domain (excl. dot)
	QString dl2;		// 2nd level domain (excl. dot)
	QString dl3;		// 3rd level domain (excl. dot)
	QString include;	// include entry when exporting to file (empty or x [=yes])
	QString lastchkd;	// last checked that this site still sets cookies when visiting site 'recfrom' below
	QString note;		// note
	QString recfrom;	// cookie from this item received while visiting this site
//	QString sort;		// hidden ! string 'dltop.dl2.dl3' to allow proper sorting
	bool err;			// error flag (true or false), only meaningfull on first list entry
};

/*
struct StrItemWErr {		// list struct with import errors


	int err;			// error ID, 0=no error, 1=error, 99=error opening file, no list
	int errLine;		// line with error
	QString errTit;		// error message title
	QString errTxt;		// error message text
};

struct ErrList {		// simple import error struct to show to the user
	int index;				// index, row number, used to unsort - needed??
	int errLine;			// line in file with error
	QString errTit;			// error message title
	QString errTxt;			// error message text
};
*/
#endif  // _STRUCTS_H_
